Warnings when compiling transcode.c on cygwin
Status: Closed   

Priority: Normal   

Assignee: naruse (Yui NARUSE)   

Target version:    

ruby -v: ruby 2.4.0dev (2016-05-22 trunk 55111)

[x86_64-cygwin]

Backport: 2.1: WONTFIX, 2.2: DONE, 2.3: DONE

Description

When compiling ruby trunk, the compilation of transcode produces the warnings below.

There's also a similar warning for dbm.c and a lot of them in some tkl files.

compiling transcode.c

In file included from ./include/ruby.h:33:0,

                 from internal.h:15,

                 from transcode.c:12:

transcode.c: In function ‘econv_args’:

transcode.c:3007:44: warning: initialization discards ‘volatile’ qualifier from pointer target typ

e [-Wdiscarded-qualifiers]

     argc = rb_scan_args(argc, argv, "21:", snamev_p, dnamev_p, &flags_v, &opt);

                                            ^

./include/ruby/ruby.h:2156:56: note: in definition of macro ‘rb_scan_args’

         rb_scan_args0(argc,argv,fmt,(sizeof((VALUE*[]){__VA_ARGS__})/sizeof(VALUE*)),(VALUE*[]){_

_VA_ARGS__}), \

                                                        ^

transcode.c:3007:54: warning: initialization discards ‘volatile’ qualifier from pointer target typ

e [-Wdiscarded-qualifiers]

     argc = rb_scan_args(argc, argv, "21:", snamev_p, dnamev_p, &flags_v, &opt);

                                                      ^

./include/ruby/ruby.h:2156:56: note: in definition of macro ‘rb_scan_args’

         rb_scan_args0(argc,argv,fmt,(sizeof((VALUE*[]){__VA_ARGS__})/sizeof(VALUE*)),(VALUE*[]){_

_VA_ARGS__}), \

                                                        ^

transcode.c:3007:44: warning: initialization discards ‘volatile’ qualifier from pointer target typ

e [-Wdiscarded-qualifiers]

     argc = rb_scan_args(argc, argv, "21:", snamev_p, dnamev_p, &flags_v, &opt);

                                            ^

./include/ruby/ruby.h:2156:97: note: in definition of macro ‘rb_scan_args’

         rb_scan_args0(argc,argv,fmt,(sizeof((VALUE*[]){__VA_ARGS__})/sizeof(VALUE*)),(VALUE*[]){_

_VA_ARGS__}), \

                                                                                                 ^

transcode.c:3007:54: warning: initialization discards ‘volatile’ qualifier from pointer target typ

e [-Wdiscarded-qualifiers]

     argc = rb_scan_args(argc, argv, "21:", snamev_p, dnamev_p, &flags_v, &opt);

                                                      ^

./include/ruby/ruby.h:2156:97: note: in definition of macro ‘rb_scan_args’

         rb_scan_args0(argc,argv,fmt,(sizeof((VALUE*[]){__VA_ARGS__})/sizeof(VALUE*)),(VALUE*[]){_

_VA_ARGS__}), \

                                                                                                 ^

transcode.c: At top level:

cc1: warning: unrecognized command line option ‘-Wno-self-assign’

cc1: warning: unrecognized command line option ‘-Wno-constant-logical-operand’

cc1: warning: unrecognized command line option ‘-Wno-parentheses-equality’

cc1: warning: unrecognized command line option ‘-Wno-tautological-compare’

compiling util.c

Related issues:

Related to Ruby - Bug #15162: Encoding::Converter.search_convpath(Encoding::A... Closed
Revision 6ce18e3a8b94d1f16d40a654baabec9cbf108f3a - 05/22/2016 08:06 AM - nobu (Nobuyoshi Nakada)

transcode.c: GC guards

transcode.c (enc_arg, str_transcode_enc_args, econv_args):

remove volatile, and add GC guards in callers.

[ruby-core:75664] [Bug #12411]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@55115 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 6ce18e3a - 05/22/2016 08:06 AM - nobu (Nobuyoshi Nakada)

transcode.c: GC guards

transcode.c (enc_arg, str_transcode_enc_args, econv_args):

remove volatile, and add GC guards in callers.

[ruby-core:75664] [Bug #12411]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@55115 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 83dc591546d5e45602efab894a48727d60c30b76 - 08/15/2016 06:40 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 55115: [Backport #12411]

    * transcode.c (enc_arg, str_transcode_enc_args, econv_args):

      remove volatile, and add GC guards in callers.

      [ruby-core:75664] [Bug #12411]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@55903 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 83dc5915 - 08/15/2016 06:40 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 55115: [Backport #12411]

    * transcode.c (enc_arg, str_transcode_enc_args, econv_args):

      remove volatile, and add GC guards in callers.

      [ruby-core:75664] [Bug #12411]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@55903 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision b9892d1ba347f74fc718f6479887b2370932ba2f - 08/16/2016 11:28 AM - U.Nakamura 

merge revision(s) 55115: [Backport #12411]

    * transcode.c (enc_arg, str_transcode_enc_args, econv_args):

      remove volatile, and add GC guards in callers.

      [ruby-core:75664] [Bug #12411]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@55934 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision b9892d1b - 08/16/2016 11:28 AM - U.Nakamura 

merge revision(s) 55115: [Backport #12411]

    * transcode.c (enc_arg, str_transcode_enc_args, econv_args):

      remove volatile, and add GC guards in callers.

      [ruby-core:75664] [Bug #12411]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@55934 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 05/22/2016 08:07 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset r55115.

transcode.c: GC guards

transcode.c (enc_arg, str_transcode_enc_args, econv_args):

remove volatile, and add GC guards in callers.

[ruby-core:75664] [Bug #12411]
#2 - 08/04/2016 05:39 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN to 2.1: WONTFIX, 2.2: REQUIRED, 2.3: REQUIRED

#3 - 08/15/2016 06:40 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.1: WONTFIX, 2.2: REQUIRED, 2.3: REQUIRED to 2.1: WONTFIX, 2.2: REQUIRED, 2.3: DONE

ruby_2_3 r55903 merged revision(s) 55115.

#4 - 08/16/2016 11:29 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.1: WONTFIX, 2.2: REQUIRED, 2.3: DONE to 2.1: WONTFIX, 2.2: DONE, 2.3: DONE

ruby_2_2 r55934 merged revision(s) 55115.

#5 - 09/29/2018 06:25 AM - h.shirosaki (Hiroshi Shirosaki)

- Related to Bug #15162: Encoding::Converter.search_convpath(Encoding::ASCII_8BIT, Encoding::Emacs_Mule) crashes on MinGW added
